### Constructor

# Phosh IdleDBusObjectProxy new

#### Declaration [src]

    PhoshIdleDBusObjectProxy*
    phosh_idle_dbus_object_proxy_new (
      GDBusConnection* connection,
      const gchar* object_path
    )

#### Description [src]

Creates a new proxy object.

#### Parameters

`connection`

  Type: `GDBusConnection`

  A `GDBusConnection`.

  The data is owned by the caller of the function.

`object_path`

  Type: `const gchar*`

  An object path.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `PhoshIdleDBusObjectProxy`

The proxy object.

The caller of the function takes ownership of the data, and is responsible for freeing it.